
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux中安装mysql数据库的2种方法 / iVAN</title>

    <meta name="description" content="linux中安装mysql数据库的2种方法 编译安装mysql 安装前准备 如果mysql用户不存在,那么添加mysql用户 groupadd mysql useradd -g mysql mysql mysql编译安装 wget http://downloads.mysql.com/archives/mysql-5.1/mysql-5.1.70.tar.gz tar -zxvf mysql-5.1.70.tar.gz cd mysql-5.1.70 yum install ncurses ncurses-devel ./configur">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux中安装mysql数据库的2种方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>编译安装mysql</strong></p>
<p><strong>安装前准备</strong></p>
<p>如果mysql用户不存在，那么添加mysql用户</p>
<p>groupadd mysql<br />
useradd -g mysql mysql</p>
<p><strong>mysql编译安装</strong></p>
<p>wget http://downloads.mysql.com/archives/mysql-5.1/mysql-5.1.70.tar.gz<br />
tar -zxvf mysql-5.1.70.tar.gz<br />
cd mysql-5.1.70</p>
<p>yum install ncurses ncurses-devel<br />
./configure  '--prefix=/usr/local/mysql' '--without-debug' '--with-charset=utf8' '--with-extra-charsets=all' '--enable-assembler' '--with-pthread' '--enable-thread-safe-client' '--with-mysqld-ldflags=-all-static' '--with-client-ldflags=-all-static' '--with-big-tables' '--with-readline' '--with-ssl' '--with-embedded-server' '--enable-local-infile' '--with-plugins=innobase'<br />
make<br />
make install</p>
<p>到此mysql就安装到了/usr/local/mysql路径下，下面开始mysql的配置工作<br />
------------------------------------</p>
<p>安装mysql选项文件</p>
<p>    <br />
cp support-files/my-medium.cnf /etc/my.cnf</p>
<p>mysql设置开机自启动</p>
<p>cp -r support-files/mysql.server /etc/init.d/mysqld  <br />
/sbin/chkconfig --del mysqld<br />
/sbin/chkconfig --add mysqld<br />
配置权限表</p>
<p>chown -R mysql:mysql /usr/local/mysql<br />
/usr/local/mysql/bin/mysql_install_db --user=mysql<br />
启动mysql</p>
<p>/etc/init.d/mysqld start</p>
<p>这一步可能会报错</p>
<p>/etc/init.d/mysqld: line 260: my_print_defaults: command not found<br />
/etc/init.d/mysqld: line 263: my_print_defaults: command not found<br />
/etc/init.d/mysqld: line 270: @HOSTNAME@: command not found<br />
/etc/init.d/mysqld: line 279: @HOSTNAME@: command not found<br />
/etc/init.d/mysqld: line 292: cd: @prefix@: No such file or directory<br />
Starting MySQLCouldn't find MySQL manager (@bindir@/mysqlmanager) or server (@bindir@/mysqld_safe) [FAILED]</p>
<p>因为路径没有设置，请重启确认上面配置工作是否都完成，一般是configure后没有make和make install。</p>
<p>mysql初始化配置：</p>
<p>export PATH=/usr/local/mysql/bin:$PATH<br />
/usr/local/mysql/bin/mysql_secure_installation</p>
<p>mysql如何导入旧的数据：</p>
<p>直接拷贝数据库文件夹到数据目录下然后执行</p>
<p>/usr/local/mysql/bin/mysqladmin -u root -p flush-tables</p>
<p><strong>mysql安装过程中问题</strong></p>
<p>1.<br />
make[2]: Entering directory `/down/webinstall/mysql-5.1.57/mysql-test<br />
make[3]: Entering directory `/down/webinstall/mysql-5.1.57/mysql-test<br />
make[3]: Nothing to be done for `install-exec-am.<br />
make INSTALL_TO_DIR="/usr/local/mysql/mysql-test" install_test_files<br />
make[4]: Entering directory `/down/webinstall/mysql-5.1.57/mysql-test<br />
时间较长</p>
<p>MYSQL安装到这里卡了很久，可能以为出错了，实际上MYSQL已经安装成功了，它这步过段时间就会好了，是mysql在自我编译测试造成的。</p>
<p>2.checking for termcap functions library... configure: error: No curses/termcap library found<br />
yum install ncurses ncurses-devel</p>
<p>3.Starting MySQL.Manager of pid-file quit without updating fi[FAILED]</p>
<p>启动数据库之前，需要先配置权限表，其中/usr/local/mysql为mysql的安装目录<br />
chown -R mysql:mysql /usr/local/mysql<br />
/usr/local/mysql/bin/mysql_install_db --user=mysql</p>
<p><strong>上面安装mysql是通过编译的方式安装，此次不进行编译，直接安装。</strong></p>
<p>[root@hk tools]# wget http://mirrors.sohu.com/mysql/MySQL-5.6/mysql-5.6.16-linux-glibc2.5-x86_64.tar.gz<br />
[root@hk tools]# tar zxf mysql-5.6.16-linux-glibc2.5-x86_64.tar.gz<br />
[root@hk tools]# mv mysql-5.6.16-linux-glibc2.5-x86_64 /opt/<br />
[root@hk opt]# mv mysql-5.6.16-linux-glibc2.5-x86_64 mysql<br />
[root@hk opt]# /usr/sbin/useradd mysql -s /sbin/nologin -M<br />
[root@hk opt]# cd mysql/<br />
[root@hk mysql]# /opt/mysql/scripts/mysql_install_db --basedir=/opt/mysql/ --datadir=/opt/mysql/data --user=mysql <br />
[root@hk mysql]# mv /etc/my.cnf /etc/my.cnf.backup<br />
[root@hk mysql]# sed -i 's#＼# socket = .....# socket = /tmp/mysql.sock#g' my.cnf <br />
[root@hk mysql]# cp /opt/mysql/my.cnf /etc/my.cnf<br />
[root@hk mysql]# /opt/mysql/support-files/mysql.server start<br />
[root@hk mysql]# netstat -tunlp<br />
Active Internet connections (only servers)<br />
Proto Recv-Q Send-Q Local Address               Foreign Address             State       PID/Program name   <br />
tcp        0      0 :::3306                     :::*                        LISTEN      28104/mysqld  <br />
[root@hk mysql]#  /opt/mysql/bin/mysql -uroot -p<br />
Enter password: <br />
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2) #看下面的sock的配置<br />
[root@hk mysql]# sed -i 's#＼# socket = .....# socket = /tmp/mysql.sock#g' my.cnf <br />
[root@hk mysql]# /opt/mysql/bin/mysql -uroot -p<br />
Enter password: <br />
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES)   #居然报错<br />
[root@hk mysql]# /opt/mysql/bin/mysqld_safe --skip-grant-tables &amp; <br />
[1] 30062<br />
mysql&gt; update mysql.user set password=PASSWORD('admin123') where user='root';    #设置密码<br />
mysql&gt; flush privileges;<br />
[root@hk mysql]# skill 30194<br />
[root@hk mysql]# 140601 00:14:38 mysqld_safe mysqld from pid file /opt/mysql/data/hk.t4x.org.pid ended<br />
[1]+  Done                    /opt/mysql/bin/mysqld_safe --skip-grant-tables<br />
[root@hk mysql]# /opt/mysql/bin/mysql -uroot -p<br />
Enter password: <br />
ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES)    #错误依旧<br />
[root@hk mysql]# vim /usr/local/mysql/support-files/mysql.server   #配置文件中默认配置目录是/usr/local/mysql<br />
[root@hk mysql]# ln -s /opt/mysql /usr/local/mysql    #设置软连接<br />
[root@hk mysql]# /usr/local/mysql/bin/mysql -uroot -p'admin123'<br />
mysql&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:42:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e8%af%91/" title="编译">编译</a>, <a href="https://www.iamivan.net/tag/make/" title="make">make</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux中安装mysql数据库的2种方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Jwrz.html" rel="bookmark">linux中更改MySQL数据库存储路径和端口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux中更改MySQL数据库存储路径和端口 假设我们以更改到/opt/data目录下为倒: 1.opt目录下建立data目录 mkdir /opt/data 2.停掉MySQL服务进程 mysqladmin -u root -p shutdown 3.把/var/lib/mysql整个目录移到/opt/data mv /var/lib/mysql /opt/data/ 这样就把MySQL的数据文档移动到了/opt/data/mysql下 . 4.my.cnf文档配置 默认安装时my.cnf在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q7nap.html" rel="bookmark">Linux CentOS6&period;6系统中安装mysql源码包的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里以CentOS6.6系统中安装MySQL的源码包,进行讲解. 1. mysql源码包的下载 mysql安装包的官方下载地址为:http://dev.mysql.com/downloads/mysql/5.6.html 打开该下载地址后,在 &quot;Select Version:&quot;处,选择要下载的mysql的版本,我选择的是5.6.34:在&quot;Select Platform:&quot;处,选择适用的操作系统类型,由于是下载源码包,故这里我们要选择Source Code. 之后,会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKn28z.html" rel="bookmark">c&plus;&plus;连接mysql数据库的两种方法&lpar;ADO连接和mysql api连接&rpar;&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一种方法可以实现我当前的需求,通过连接不同的字符串来连接不同的数据库.暂时只连接了mysql,sqlserver,oracle,access.对于access,因为它创建表的SQL语句不太兼容标准SQL语句,需要做一些处理,这里暂时不说.第二种方法只能针对于mysql数据库的连接,不过用这种方法不用安装MyODBC服务器程序. 不管用哪种方法,首先需要安装Mysql数据库,安装方法请看&quot;mysql安装及一些注意点&quot;.最好安装一个Navicat for mysql,方便操作mysql数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6ZWkp.html" rel="bookmark">Linux下安装MariaDB数据库问题及解决方法&lpar;二进制版本的安装&rpar;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MariaDB数据库 分为源代码版本和二进制版本,源代码版本需要cmake编译,这里是二进制版本的安装 # tar zxvf mariadb-5.5.31-linux-x86_64.tar.gz # mv mariadb-5.5.31-linux-x86_64 /usr/local/MySQL (必需这样,很多脚本或可执行程序都会直接访问这个目录) # groupadd mysql 增加 mysql 属组 # useradd -g mysql mysql 增加 mysql 用户 并归于mysql			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7LYPp.html" rel="bookmark">CentOS中安装MySQL数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.首先下载MySQL的安装文件,我这里安装的是MySQL5.1.7版本的, 下载链接:http://pan.baidu.com/share/link?shareid=255483056&amp;uk=924063144    http://pan.baidu.com/share/link?shareid=269901909&amp;uk=924063144 2.安装MySQL数据库服务器 进入安装包所在文件夹,执行命令 rpm -ivh MySQL-server-5.1.7-0.i386.rpm 安装M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Z7ngz.html" rel="bookmark">Linux VPS&sol;服务器上轻松导入、导出MySQL数据库的几种方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面VPS侦探说一下几个解决方法: MySQL数据库导出 方法1:mysqldump命令 执行命令: /usr/local/mysql/bin/mysqldump -u 用户名 -p 数据库名 &gt; 文件名 如果数据库用户名有密码密码,执行后会提示输入密码.如果数据库用户名没有密码,就将命令中的&quot;-p&quot;参数删除. 注意:推荐使用MySQL root帐号进行操作,因为有些数据库可能设置了只能对应的用户进行操作. 方法2:phpmyadmin phpmyadmin支持将数据库文件直接备			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN8Gqoz.html" rel="bookmark">linux中查看mysql数据库版本号的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1:在终端下:mysql -V. 以下是代码片段: [shengting@login ~]$ mysql -V 2:在mysql中:mysql&gt; status;   以下是代码片段: mysql&gt; status; 3:在help里面查找 以下是代码片段: [shengting@login ~]$ mysql –help | grep Distrib 4:使用mysql的函数 以下是代码片段: mysql&gt; select version(); 小提醒,使用mysql命令就必须在mysql登			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1jB8Kp.html" rel="bookmark">linux中清空Mysql数据库ROOT密码教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.方法一 1)进入var/lib/mysql 2)删除掉mysql文件 3)重新启动mysql ,到此密码已经清空 4)设置新的密码 echo &quot;grant all on *.* to 'root'@'localhost' identified by 'newpass';&quot; | mysql -uroot echo &quot;grant all on *.* to 'root'@'%' identified by 'newpass';&quot; | mysql -uroot  -p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Qm56p.html" rel="bookmark">c&num;连接mysql数据库的二种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c#连接mysql教程数据库教程的二种方法 mysql提供的是一个dll文件--&quot;mysql.data.dll&quot;,目前我用的就是这个dll文件,将这个文件(见附件)放到网站的bin目录下,就可以使用了.而且和sql server的用法并没有太大的出入,只是应用的名称不一样而已. 代码如下: 1.default.asp教程x: &lt;%@ page language=&quot;c#&quot; autoeventwireup=&quot;true&quot;  codefile=&q			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Aeoz.html" rel="bookmark" class="title">&lbrack;内部项目&rsqb;i前端如何增加一个页面</a>
					<div>
						i 的前端如何增加一个新页面呢? 要改很多地方: (1)pathMap.js 路径:js/pathMap.js 说明:key表示url访问路径,value表示接口路径和js文件名称    (2)Hea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRDEKz.html" rel="bookmark" class="title">PhotoShop调出淡青色夏日清新美女照片调色教程</a>
					<div>
						清新夏日,实例教你ps后期调色,唯美的田园风格环境人像,我们选择淡青色调,更加符合画面的主题,后期主要运用可选颜色对红色.黄色.绿色.白色四种颜色进行了调整, 另外,适当了提高了画面的自然饱和度,使得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB9JNz.html" rel="bookmark" class="title">从oracle 数据库读取日期时间&comma;并在网页上打印万年历</a>
					<div>
						oracle|打印|数据|数据库|网页 在core Java 那本书里,在讲类之前就将了一个打印一个月份中每天是星期几的万年历程序.最近写程序的时候终于要用到了.我花费了半天时间终于弄明白了Grego ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7y31M.html" rel="bookmark" class="title">DHCP、网关和DNS地址的捆绑</a>
					<div>
						在日常的校园网维护中,管理数百台机器的IP地址是比较令人头疼的一件事.现实情况一,校园网的Internet的连接采用代理服务器或路由器模式,为保证各工作站能正常访问Internet,必须在每个客户端添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PN8jM.html" rel="bookmark" class="title">用DW简单描述制作网页的基本步骤</a>
					<div>
						本教程主要是针对初学者,如何使用Dreamweaver制作一个网页?这个教程具体详细讲解了制作网页的步骤,及注意的问题,并且拿一个实例来给大家做了一下详细讲解! 创建网页页面 1.在Dreamveav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRg8Vz.html" rel="bookmark" class="title">Delphi编制趣味动画鼠标</a>
					<div>
						我们经常可以看到许多生动有趣的动画鼠标,其实利用Delphi强大的功能,我们完全可以随心所欲地制作有个人特色的鼠标.我制作了一个名为face的动画鼠标,在常态时,它是一张圆圆的脸,脸上有一双咕噜噜乱转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRD2Vz.html" rel="bookmark" class="title">PS合成梦幻的海上明月</a>
					<div>
						教程介绍简单的创意场景合成方法.教程中用到的素材不多,总共是三幅素材,合成的时候先构思好大致画面构成,然后把素材加进去,再溶图及装饰细节.后期再整体润色即可. 最终效果 1.我们先创建一个600X75 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBAgRz.html" rel="bookmark" class="title">Word2013文档中设置段落缩进的三种方法</a>
					<div>
						  方法1:在&quot;段落&quot;对话框设置段落缩进 用户可以在Word2013的&quot;段落&quot;对话框中设置段落缩进,操作步骤如下所述: 第1步,打开Word2013文档窗口,选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ3Z4z.html" rel="bookmark" class="title">使用Word邮件合并创建并打印信函及其他文档</a>
					<div>
						  如果希望创建一组文档(如一个寄给多个客户的套用信函或一个地址标签页),可以使用邮件合并.每个信函或标签含有同一类信息,但内容各不相同.例如,在致客户的多个信函中,可以对每个信函进行个性化,称呼每个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EvvRM.html" rel="bookmark" class="title">解决Win8&period;1使Surface耗电过快的办法</a>
					<div>
						          如何解决Win8.1使SurfaceRT耗电过快?这个问题难倒了不少SurfaceRT用户,自从Windows8.1测试版发布后不少用户迫不及待试用,因为测试版都会存在这样那样的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3VJWp.html" rel="bookmark" class="title">U大师如何一键智能装机？</a>
					<div>
						1.运行&quot;电脑版一键备份还原系统.exe&quot;文件,打开之后点击&quot;一键智能装机&quot;.(需要有GHO装机文件才能操作.) 2.在弹出的提示框选择对应的GHO文件,再选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b247RQp.html" rel="bookmark" class="title">键盘上的W键不能用怎么办</a>
					<div>
						  常规键盘具有CapsLock(字母大小写锁定).NumLock(数字小键盘锁定).ScrollLock(滚动锁定键)三个指示灯(部分无线键盘已经省略这三个指示灯),标志键盘的当前状态.如果键盘的哪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6ql0b.html" rel="bookmark" class="title">《Android App开发入门：使用Android Studio 2&period;X开发环境》&mdash;&mdash;第 3章 Android App界面设计  3-1 View 与 ViewGroup（Layout）：组件与布局</a>
					<div>
						第 3章 Android App界面设计 3-1 View与 ViewGroup(Layout):组件与布局 3-2 使用 LinearLayout建立界面布局 3-3 使用 weight属性控制组件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE206z.html" rel="bookmark" class="title">求一个android用session保持登陆的demo</a>
					<div>
						问题描述 求一个android用session保持登陆的demo 10C 我是初学者,在网上找了很少但是具体不会用,急求所以希望有个demo,有javaWeb后台和android客户端代码 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NOkNM.html" rel="bookmark" class="title">前端代码异常日志收集与监控</a>
					<div>
						在复杂的网络环境和浏览器环境下,自测.QA测试以及 Code Review 都是不够的,如果对页面稳定性和准确性要求较高,就必须有一套完善的代码异常监控体系,本文从前端代码异常监控的方法和问题着手,尽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lejab.html" rel="bookmark" class="title">asp&period;net MVC  AuthorizeAttribute 权限验证问题</a>
					<div>
						问题描述 为什么上面的代码执行完毕后user登录状态还是没登录呢Name还是空登录状态还是FALSE是代码错了吗//FormsAuthenticationTicketauthTicket=newFor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE4gAz.html" rel="bookmark" class="title">大型数据库-做一个较大的数据库系统，用什么样的数据库比较好？收费如何？</a>
					<div>
						问题描述 做一个较大的数据库系统,用什么样的数据库比较好?收费如何? RT. 管理的数据量估计在千万级别,大部分是查询统计,没啥计算操作. 可选的几个系统 1.Windows+MSSqlServer  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrNYaM.html" rel="bookmark" class="title">在windows 2003 server下运行c&num;，TabStrip显示不正常</a>
					<div>
						问题描述 在windows2003server下运行c#,TabStrip显示不正常,多页内容在一页显示,是什么原因?请问用windows2003server系统的朋友要安装什么东东才显示正常! 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrkgAM.html" rel="bookmark" class="title">能不能将下拉列表的文字替换掉</a>
					<div>
						问题描述 比如第一项为所有省份加载的时候将其替换为全国 解决方案 解决方案二:可以啊,在load事件中处理就是了解决方案三:你是从数据库里面取的数据绑定DropDownList的?解决方案四:BLLS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj3y7M.html" rel="bookmark" class="title">用SWT中的TableEidtor输入数据后，如何通过JDBC提交到数据库中</a>
					<div>
						问题描述 import org.eclipse.swt.SWT;import org.eclipse.swt.custom.TableEditor;import org.eclipse.swt.gra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY80yp.html" rel="bookmark" class="title">&lbrack;Erlang 0004&rsqb; Centos 源代码编译 安装 Erlang</a>
					<div>
						原文地址: http://www.cnblogs.com/me-sa/archive/2011/07/09/erlang0004.html     由于最终部署的生产环境是Centos,所以我需要在C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLPJWp.html" rel="bookmark" class="title">Error &amp;quot&semi;ORA-28040&colon; No matching authentication protocol&amp;quot&semi; When Using SQLNET&period;ALLOWED&lowbar;LOGON&lowbar;VERSION &lpar;Doc</a>
					<div>
						Error &quot;ORA-28040: No matching authentication protocol&quot; When Using SQLNET.ALLOWED_LOGON_VER ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRgqAb.html" rel="bookmark" class="title">使用Istio服务网格管理微服务</a>
					<div>
						[编者的话]今天的帖子由Istio团队展示如何为Kubernetes的微服务提供可视化,弹性,安全和控制功能. 本文讲的是使用Istio服务网格管理微服务服务化是现代软件架构的核心.部署一系列模块化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeO55b.html" rel="bookmark" class="title">qtp 软件测试-QTP在录制网页的时候下载有关的按钮录制不了脚本</a>
					<div>
						问题描述 QTP在录制网页的时候下载有关的按钮录制不了脚本 QTP在录制网页的时候下载有关的按钮录制不了脚本详情内容为 我在IE10网页上录制wap的网址下载功能,录制成功后,运行到下载按钮那过不去了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7oAZz.html" rel="bookmark" class="title">&period;NET Runtime总崩</a>
					<div>
						问题描述 .NETRuntime经常崩溃,事件ID1026,总是崩在我们程序的各个模块,不必现,几轮压力崩一次,不一定什么时候出现.以下是某一次的截图如何破 解决方案 解决方案二:winform还是网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBPDqz.html" rel="bookmark" class="title">上海财大教授何斯迈：当器官移植遇到匹配难题，可以用 AI 提高配对率</a>
					<div>
						雷锋网(公众号:雷锋网)消息,根据 Crunchbase 的数据,从今年开始截至到7月份,各类投资者在全球 AI 和机器学习公司上的投资金额已达36亿美元.而去年一整年这个数字才33亿美元.  AI  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n5aAz.html" rel="bookmark" class="title">使用redis desktop manager获取数据超时问题</a>
					<div>
						问题描述 使用redis desktop manager获取数据超时问题 如图,我在2017:1里面插入10万条数据,要获取它的时候就会出现连接超时. 求解,这个问题该怎么解决 解决方案 数据量太大了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xa9qb.html" rel="bookmark" class="title">5G研发组织首会北京 中国谋求主导</a>
					<div>
						从3G.4G到5G,中国正在从通信技术跟随者成为引领者. 6月1日,第一届全球5G大会(The1stGlobal5GEvent)落下帷幕,这次由中欧美日韩5G推进组织首次跨区域合作召开的大会,第一站选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWKNdz.html" rel="bookmark" class="title">深入讲解iOS开发中的UIViewController&lowbar;IOS</a>
					<div>
						UIViewController顾名思义:视图控制器.应该在MVC设计模式中扮演控制层的角色.一些初学者在最开始的时候一直不理解为何有了UIView还要UIViewController做什么用,不都是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QdXWp.html" rel="bookmark" class="title">jquery如何获取复选框的值&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot; &quot;http:// ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
